<?php

/**
 * 更新数据库等级的脚本
 * 参数type heat 或 info 分别表示刷热度等级和资料完善度等级
 */
set_time_limit(0);
error_reporting(7);
ini_set("display_errors",false);
$conf_basedir = "../../../../"; //相对主目录的位置
define('WEB_ROOT', $conf_basedir);
$conf_where = "admin"; //选择调用相应模块
$directory = basename(dirname(__FILE__)); //定义当前所在的目录，引入模块公用函数
include_once(  "./base.inc.php");
require_once '../function_crontab.php';

$arrType = array('heat');

foreach($arrType as $type) {
    /**
     * 初始化小区资料完善紧急程度等级
     */
    if($type == 'info') {
        /*
         * 刷表，请勿删除注释
         */
        $x = new BlockLevelStat();
        $x->flushInfo();
        echo "刷新小区资料完善度等级完成";
    }
    /**
     * 初始化小区热度等级
     */
    if($type == 'heat') {
        $x = new BlockLevelStat();
        $x->flushHeat();
        echo "刷新小区热度等级完成";
    }
}
?>